Debian Bug report logs - #541603
Application defaults fail to get loaded (xrdb error messages)

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Fri, 14 Aug 2009 21:15:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/244-1

Fixed in version xterm/246-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541603; Package xterm. (Fri, 14 Aug 2009 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 14 Aug 2009 21:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Application defaults fail to get loaded (xrdb error messages)
Date: Fri, 14 Aug 2009 16:01:17 -0500
Package: xterm
Version: 244-1
Severity: normal
Tags: patch

__> xrdb -merge /etc/X11/app-defaults/XTerm-color
In file included from /etc/X11/app-defaults/XTerm-color:4:
/etc/X11/app-defaults/XTerm:200:8: warning: missing terminating ' character
/etc/X11/app-defaults/XTerm-color:23:64: warning: missing terminating ' character

        The problem is, this makes several colors default to the
 background color (black, for me), and you get black on black text.
 This affect, amongst other things, git diff -- no file names can be
 seen, which is a trifle disconcerting.
======================================================================
__> git diff /tmp/one /tmp/two
diff --git a/tmp/one b/tmp/two




@@ -2,9 +2,9 @@ one
 two
 three
 four
-five
 six
 seven
 eight
 nine
 ten
+five
======================================================================

        The fix is trivial:
 perl -pli -e 's/\'/\'\'/g' /etc/X11/app-defaults/XTerm{,-color}

        manoj

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30.4-anzu (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-23         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-1 shared libraries for terminal hand
ii  libx11-6                  2:1.2.2-1      X11 client-side library
ii  libxaw7                   2:1.0.6-1      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541603; Package xterm. (Mon, 17 Aug 2009 00:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Aug 2009 00:39:12 GMT) Full text and rfc822 format available.

Message #10 received at 541603@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541603@bugs.debian.org
Subject: #541603 Application defaults fail to get loaded (xrdb error messages)
Date: Sun, 16 Aug 2009 20:36:01 -0400
[Message part 1 (text/plain, inline)]
fixed in patch #246

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream; removed tag(s) patch. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 17 Aug 2009 00:39:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:06:14 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 22 Aug 2009 23:00:19 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sat, 22 Aug 2009 23:00:20 GMT) Full text and rfc822 format available.

Message #19 received at 541603-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541603-close@bugs.debian.org
Subject: Bug#541603: fixed in xterm 246-1
Date: Sat, 22 Aug 2009 22:47:32 +0000
Source: xterm
Source-Version: 246-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_246-1.diff.gz
  to pool/main/x/xterm/xterm_246-1.diff.gz
xterm_246-1.dsc
  to pool/main/x/xterm/xterm_246-1.dsc
xterm_246-1_amd64.deb
  to pool/main/x/xterm/xterm_246-1_amd64.deb
xterm_246.orig.tar.gz
  to pool/main/x/xterm/xterm_246.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541603@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Aug 2009 00:35:21 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 246-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 531597 541089 541160 541236 541603
Changes: 
 xterm (246-1) unstable; urgency=low
 .
   * New upstream release
     + interaction between allowSendEvents and the various allowXXXOps
       resources clarified in manpage (closes: #531597)
     + remove obsolete logic for saving/restoring wrapping flags, which did not
       work on 64-bit platform.  Wrapping flags (stored in the line-index) are
       now copied with line-data (closes: #541160)
     + modify comments in app-defaults files to avoid problem with C
       preprocessor used by xrdb (closes: #541603)
     + restore special case in makeColorPair needed for colorBDMode resource
       (closes: #541089)
     + correct SetLineFlags() macro, broken in patch #244 when recoding to
       avoid gcc-specific bitfields (closes: #541236)
   * The issues with the fifo-lines code should now be fixed, so enable it
     again.
Checksums-Sha1: 
 a02c720f07994a8961dfd5821a3b1c74b66e6773 1339 xterm_246-1.dsc
 08a10609f40e5da1c2a1612abdf3a89e09282a3b 883376 xterm_246.orig.tar.gz
 cb7f14b5e480af04a934b30af34cb511d2a0116a 74206 xterm_246-1.diff.gz
 a417cbb1830cbd76776a54159a9c2941b2517f28 513600 xterm_246-1_amd64.deb
Checksums-Sha256: 
 b6001b175ac781f557bd693ef000174a2bce193232997380300afd5c1994976f 1339 xterm_246-1.dsc
 dcb19d412be91e0dfef75aa0ca4cee3483d9a8fa356351300e3919a377e863cf 883376 xterm_246.orig.tar.gz
 c7918d0a0572b62c5bc2b39c51a0d7f340979ec770ae48767e40c94e07eb3e52 74206 xterm_246-1.diff.gz
 83d5be92a44e5c3b6701e6dfcdf44379023e1d00a46b82ce67c23e586a80db55 513600 xterm_246-1_amd64.deb
Files: 
 eb6639a92a73e4402718df5365588817 1339 x11 optional xterm_246-1.dsc
 b0c3aa021031742d6f5009833fc4d800 883376 x11 optional xterm_246.orig.tar.gz
 33595abc54cbea7c47fbb8183e2c10a1 74206 x11 optional xterm_246-1.diff.gz
 f0c1445d8f2c007bf7b9f66e100ff21b 513600 x11 optional xterm_246-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqQc3AACgkQmEvTgKxfcAyGLACfbsR3Fbqim8670EAhX8CxEM2d
ISUAn3lif2wbjhtwHI/ABT3ZHr8/DO0N
=r08v
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 07:39:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:43:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.